/*
 * Copyright 2007-2009 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.gradle.api.internal.artifacts.ivyservice.moduleconverter

import org.apache.ivy.core.module.descriptor.DefaultModuleDescriptor
import org.gradle.api.artifacts.Module
import org.gradle.api.internal.artifacts.DefaultModule
import spock.lang.Specification

public class DefaultModuleDescriptorFactoryTest extends Specification {
    final DefaultModuleDescriptorFactory factory = new DefaultModuleDescriptorFactory()

    public void testCreateModuleDescriptor() {
        given:
        Module module = new DefaultModule("org", "name", "version", "status");

        when:
        DefaultModuleDescriptor moduleDescriptor = factory.createModuleDescriptor(module);

        then:
        moduleDescriptor.moduleRevisionId.organisation == module.group
        moduleDescriptor.moduleRevisionId.name == module.name
        moduleDescriptor.moduleRevisionId.revision == module.version
        moduleDescriptor.status == module.status
        moduleDescriptor.publicationDate == null
    }
}
