/*
 * Copyright 2009 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.gradle.samples

import org.gradle.api.Plugin
import org.gradle.api.Project

/**
 * A plugin which configures a product module project. Each product module is assembled into one or more products.
 */
class ProductModulePlugin implements Plugin<Project> {
    void apply(Project project) {
        project.configure(project) {
            apply plugin: 'java'
            repositories {
                mavenCentral()
            }
            archivesBaseName = "some-company-${name.replaceAll('(\\p{Upper})', '-$1').toLowerCase()}"
        }
    }
}