/*
 * Copyright 2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.gradle.messaging.remote.internal.protocol;

import org.junit.Test;

import static org.gradle.util.Matchers.strictlyEqual;
import static org.hamcrest.Matchers.equalTo;
import static org.hamcrest.Matchers.not;
import static org.junit.Assert.assertThat;

public class RemoteMethodInvocationTest {
    @Test
    public void equalsAndHashCode() throws Exception {
        RemoteMethodInvocation invocation = new RemoteMethodInvocation(1, new Object[]{"param"});
        RemoteMethodInvocation equalInvocation = new RemoteMethodInvocation(1, new Object[]{"param"});
        RemoteMethodInvocation differentMethod = new RemoteMethodInvocation(2, new Object[]{"param"});
        RemoteMethodInvocation differentArgs = new RemoteMethodInvocation(1, new Object[]{"a", "b"});
        assertThat(invocation, strictlyEqual(equalInvocation));
        assertThat(invocation, not(equalTo(differentMethod)));
        assertThat(invocation, not(equalTo(differentArgs)));
    }
}